> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wishlist

> Return all wishlist items for the current user with product data.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/wishlist
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/wishlist:
    get:
      tags:
        - wishlist
      summary: List Wishlist
      description: Return all wishlist items for the current user with product data.
      operationId: list_wishlist_api_v1_wishlist_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_WishlistItemOut__'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_WishlistItemOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/app__modules__wishlist__schemas__WishlistItemOut
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[WishlistItemOut]]
    app__modules__wishlist__schemas__WishlistItemOut:
      properties:
        id:
          type: string
          title: Id
        product_id:
          type: string
          title: Product Id
        product_name:
          type: string
          title: Product Name
        product_slug:
          type: string
          title: Product Slug
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        primary_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Image Url
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - product_id
        - product_name
        - product_slug
        - price
        - primary_image_url
        - created_at
      title: WishlistItemOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````